/* This program loads in the Social Security Expenditure Data */
/* But only keeps the variables that correspond to weekly regressions */
/* Save as ssdailyc */
/* BUT ONLY KEEP THOSE WITH SSRATIO>=.70 */

/* Set the paths for loading and saving */

load path = d:\gauss\ascii;
save path = d:\gauss\pantob;

/* Create the output file to view */

output file=d:\gauss\pantob\outfiles\loadss3.out reset;
screen off;

/* First put time and date in output */

print "This program began at " timestr(0) " on " datestr(0);

/* SSDAILY2.ASC */

/* clear variables for this dataset */

clear data1, varnames, temp1, n_1, r_1, c_1, mean_1, min_1, max_1, keepcols;

/* Set up variables in the dataset */

let varnames = hhid totalexp apparel foodtot2 foodhom2 foodawa2 fresh totaway pure
               alchaway stnondur stnondu2 survday2 survday3 survday4 survday5 survday6 survday7
               sweek2 swk2day2 swk2day3 swk2day4 swk2day5 swk2day6 swk2day7
               d_week1 d_week3 d_week4 tue wed thu fri sat sun; /* Names of variables */
      
 
/* Load the differenced data and print out stats */
/* # of obs and # of vars are in load statement - change if nec. */
load data1[56649,62] = ssdaily2.asc;


/* Keep variables for weekly regressions */
keepcols = {1 2 3 4 5 6 7 8 9          
           10 11 12 13 14 15 16 17 18  
           19 20 21 22 23 24 25        
           54 55 56 57 58 59 60 61 62};

data1 = data1[.,keepcols];

r_1 = rows(data1);
c_1 = cols(data1);
mean_1 = meanc(data1);
min_1 = minc(data1);
max_1 = maxc(data1);

print "Data from ssdaily2.asc - saving as ssdailyc";
print "Read in as a " r_1 "by " c_1 "matrix";
print "Here are the mean, min, and max for the original data set.";
print "Means for columns with missing data are missing.";
stats=varnames~mean_1~min_1~max_1;
printfmt(stats,0~1~1~1);
clear stats;

/* Save the dataset */

create outset = d:\gauss\pantob\ssdailyc with ^varnames,0,4;
writer(outset,data1); /* Save as Gauss dataset with double precision */
closeall; /* Be sure to close the file */

@ Jump out of Gauss @
system;

/* End the program */
end;
