*** Creates a permanent dataset of changes in daily expenditures for ***;
*** 1986 families ***;

options ls=76 ps=56 errors=2 obs=max;

%include "cexdirs.in"/source2;


%let yearvar=86;


%include "&dailydir./dailyin.in"/source2;

*** Here is the continuation of the final datastep from dailyin.in ***;

  *** Now figure out how many days until/since ADJUSTED THIRD OF MONTH ***;
  *** Will use how many days that daystart is from the ADJUSTED THIRD ***;
  
  *** HAVE TO MODIFY SLIGHTLY FROM THIRDYY.SAS ***;
  *** SUBTRACT ONE DAY FROM EACH OF THE ENDPOINTS SO RUN FROM -14 to 13 ***;
  *** IN WEEKLY CHANGE DATA, HAD -13 to 14 WHERE NUMBER IS FIRST DAY ***;
  *** OF THE DIARY FOR THE SECOND DIARY WEEK ***; 

  if (3<=daystart<=16) then do; ** Jan 3 - array spot 3 **;
     jandif3a = daystart - 3;
     anndif3a = jandif3a;
     cpi_u = 109.6;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/109.6);
     end;
  end;
  else if (20<=daystart<=47) then do; ** Feb 3 - array spot 34 **;
     febdif3a = daystart - 34;
     anndif3a = febdif3a;
     cpi_u = 109.3;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/109.3);
     end;
  end;
  else if (48<=daystart<=76) then do; ** Mar 3 - array spot 63 **;
     mardif3a = daystart - 63;
     ** Have to adjust for leap year **;
     if (48<=daystart<=59) then mardif3a = mardif3a + 1;
     anndif3a = mardif3a;
     cpi_u = 108.8;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/108.8);
     end;
  end;
  else if (80<=daystart<=107) then do; ** Apr 3 - array spot 94 **;
     aprdif3a = daystart - 94;
     anndif3a = aprdif3a;
     cpi_u = 108.6;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/108.6);
     end;
  end;
  else if (109<=daystart<=136) then do; ** May 2 - array spot 123 **;
     maydif3a = daystart - 123;
     anndif3a = maydif3a;
     cpi_u = 108.9;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/108.9);
     end;
  end;
  else if (141<=daystart<=168) then do; ** Jun 3 - array spot 155 **;
     jundif3a = daystart - 155;
     anndif3a = jundif3a;
     cpi_u = 109.5;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/109.5);
     end;
  end;
  else if (171<=daystart<=198) then do; ** Jul 3 - array spot 185 **;
     juldif3a = daystart - 185;
     anndif3a = juldif3a;
     cpi_u = 109.5;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/109.5);
     end;
  end;
  else if (200<=daystart<=227) then do; ** Aug 1 - array spot 214 **;
     augdif3a = daystart - 214;
     anndif3a = augdif3a;
     cpi_u = 109.7;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/109.7);
     end;
  end;
  else if (233<=daystart<=260) then do; ** Sep 3 - array spot 247 **;
     sepdif3a = daystart - 247;
     anndif3a = sepdif3a;
     cpi_u = 110.2;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/110.2);
     end;
  end;
  else if (263<=daystart<=290) then do; ** Oct 3 - array spot 277 **;
     octdif3a = daystart - 277;
     anndif3a = octdif3a;
     cpi_u = 110.3;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/110.3);
     end;
  end;
  else if (294<=daystart<=321) then do; ** Nov 3 - array spot 308 **;
     novdif3a = daystart - 308;
     anndif3a = novdif3a;
     cpi_u = 110.4;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/110.4);
     end;
  end;
  else if (324<=daystart<=351) then do; ** Dec 3 - array spot 338 **;
     decdif3a = daystart - 338;
     anndif3a = decdif3a;
     cpi_u = 110.5;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/110.5);
     end;
  end;
  
  ** Days waiting since last check came **;
  ** Variable is year specific - defined here for 1986 **;
  ** and defined for ADJUSTED third of the month **;
  dayswait = .;
  if (febdif3a ne .) then dayswait = 31;
  else if (mardif3a ne .) then dayswait = 28;
  else if (aprdif3a ne .) then dayswait = 31;
  else if (maydif3a ne .) then dayswait = 29;
  else if (jundif3a ne .) then dayswait = 32;
  else if (juldif3a ne .) then dayswait = 30;
  else if (augdif3a ne .) then dayswait = 29;
  else if (sepdif3a ne .) then dayswait = 33;
  else if (octdif3a ne .) then dayswait = 30;
  else if (novdif3a ne .) then dayswait = 31;
  else if (decdif3a ne .) then dayswait = 30;
  
  
run;


*** Create perm ***;
data outperm.daily86;
  set family;

  *** Add some values for later ***;
  year=86;
run;

proc means data=outperm.daily86;
  var _NUMERIC_;
  title 'Daily data for 1986';
run;
