*** Creates a permanent dataset of changes in daily expenditures for ***;
*** 1989 families ***;

options ls=76 ps=56 errors=2 obs=max;

%include "cexdirs.in"/source2;


%let yearvar=89;


%include "&dailydir./dailyin.in"/source2;

*** Here is the continuation of the final datastep from dailyin.in ***;

  *** Now figure out how many days until/since ADJUSTED THIRD OF MONTH ***;
  *** Will use how many days that daystart is from the ADJUSTED THIRD ***;
  
  *** HAVE TO MODIFY SLIGHTLY FROM THIRDYY.SAS ***;
  *** SUBTRACT ONE DAY FROM EACH OF THE ENDPOINTS SO RUN FROM -14 to 13 ***;
  *** IN WEEKLY CHANGE DATA, HAD -13 to 14 WHERE NUMBER IS FIRST DAY ***;
  *** OF THE DIARY FOR THE SECOND DIARY WEEK ***; 

  if (3<=daystart<=16) then do; ** Jan 3 - array spot 3 **;
     jandif3a = daystart - 3;
     anndif3a = jandif3a;
     cpi_u = 121.1;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/121.1);
     end;
  end;
  else if (20<=daystart<=47) then do; ** Feb 3 - array spot 34 **;
     febdif3a = daystart - 34;
     anndif3a = febdif3a;
     cpi_u = 121.6;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/121.6);
     end;
  end;
  else if (48<=daystart<=76) then do; ** Mar 3 - array spot 63 **;
     mardif3a = daystart - 63;
     ** Have to adjust for leap year **;
     if (48<=daystart<=59) then mardif3a = mardif3a + 1;
     anndif3a = mardif3a;
     cpi_u = 122.3;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/122.3);
     end;
  end;
  else if (80<=daystart<=107) then do; ** Apr 3 - array spot 94 **;
     aprdif3a = daystart - 94;
     anndif3a = aprdif3a;
     cpi_u = 123.1;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/123.1);
     end;
  end;
  else if (110<=daystart<=137) then do; ** May 3 - array spot 124 **;
     maydif3a = daystart - 124;
     anndif3a = maydif3a;
     cpi_u = 123.8;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/123.8);
     end;
  end;
  else if (140<=daystart<=167) then do; ** Jun 2 - array spot 154 **;
     jundif3a = daystart - 154;
     anndif3a = jundif3a;
     cpi_u = 124.1;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/124.1);
     end;
  end;
  else if (171<=daystart<=198) then do; ** Jul 3 - array spot 185 **;
     juldif3a = daystart - 185;
     anndif3a = juldif3a;
     cpi_u = 124.4;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/124.4);
     end;
  end;
  else if (202<=daystart<=229) then do; ** Aug 3 - array spot 216 **;
     augdif3a = daystart - 216;
     anndif3a = augdif3a;
     cpi_u = 124.6;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/124.6);
     end;
  end;
  else if (231<=daystart<=258) then do; ** Sep 1 - array spot 245 **;
     sepdif3a = daystart - 245;
     anndif3a = sepdif3a;
     cpi_u = 125.0;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/125.0);
     end;
  end;
  else if (263<=daystart<=290) then do; ** Oct 3 - array spot 277 **;
     octdif3a = daystart - 277;
     anndif3a = octdif3a;
     cpi_u = 125.6;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/125.6);
     end;
  end;
  else if (294<=daystart<=321) then do; ** Nov 3 - array spot 308 **;
     novdif3a = daystart - 308;
     anndif3a = novdif3a;
     cpi_u = 125.9;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/125.9);
     end;
  end;
  else if (322<=daystart<=349) then do; ** Dec 1 - array spot 336 **;
     decdif3a = daystart - 336;
     anndif3a = decdif3a;
     cpi_u = 126.1;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/126.1);
     end;
  end;
  
  ** Days waiting since last check came **;
  ** Variable is year specific - defined here for 1989 **;
  ** and defined for ADJUSTED third of the month **;
  dayswait = .;
  if (febdif3a ne .) then dayswait = 31;
  else if (mardif3a ne .) then dayswait = 28;
  else if (aprdif3a ne .) then dayswait = 31;
  else if (maydif3a ne .) then dayswait = 30;
  else if (jundif3a ne .) then dayswait = 30;
  else if (juldif3a ne .) then dayswait = 31;
  else if (augdif3a ne .) then dayswait = 31;
  else if (sepdif3a ne .) then dayswait = 29;
  else if (octdif3a ne .) then dayswait = 32;
  else if (novdif3a ne .) then dayswait = 31;
  else if (decdif3a ne .) then dayswait = 28;
  

run;


*** Create perm ***;
data outperm.daily89;
  set family;

  *** Add some values for later ***;
  year=89;
run;

proc means data=outperm.daily89;
  var _NUMERIC_;
  title 'Daily data for 1989';
run;
