*** Creates a permanent dataset of changes in daily expenditures for ***;
*** 1990 families ***;

options ls=76 ps=56 errors=2 obs=max;

%include "cexdirs.in"/source2;


%let yearvar=90;


%include "&dailydir./dailyin.in"/source2;

*** Here is the continuation of the final datastep from dailyin.in ***;

  *** Now figure out how many days until/since ADJUSTED THIRD OF MONTH ***;
  *** Will use how many days that daystart is from the ADJUSTED THIRD ***;
  
  *** HAVE TO MODIFY SLIGHTLY FROM THIRDYY.SAS ***;
  *** SUBTRACT ONE DAY FROM EACH OF THE ENDPOINTS SO RUN FROM -14 to 13 ***;
  *** IN WEEKLY CHANGE DATA, HAD -13 to 14 WHERE NUMBER IS FIRST DAY ***;
  *** OF THE DIARY FOR THE SECOND DIARY WEEK ***; 

  if (3<=daystart<=16) then do; ** Jan 3 - array spot 3 **;
     jandif3a = daystart - 3;
     anndif3a = jandif3a;
     cpi_u = 127.4;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/127.4);
     end;
  end;
  else if (19<=daystart<=46) then do; ** Feb 2 - array spot 33 **;
     febdif3a = daystart - 33;
     anndif3a = febdif3a;
     cpi_u = 128.0;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/128.0);
     end;
  end;
  else if (47<=daystart<=75) then do; ** Mar 2 - array spot 62 **;
     mardif3a = daystart - 62;
     ** Have to adjust for leap year **;
     if (47<=daystart<=59) then mardif3a = mardif3a + 1;
     anndif3a = mardif3a;
     cpi_u = 128.7;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/128.7);
     end;
  end;
  else if (80<=daystart<=107) then do; ** Apr 3 - array spot 94 **;
     aprdif3a = daystart - 94;
     anndif3a = aprdif3a;
     cpi_u = 128.9;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/128.9);
     end;
  end;
  else if (110<=daystart<=137) then do; ** May 3 - array spot 124 **;
     maydif3a = daystart - 124;
     anndif3a = maydif3a;
     cpi_u = 129.2;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/129.2);
     end;
  end;
  else if (139<=daystart<=166) then do; ** Jun 1 - array spot 153 **;
     jundif3a = daystart - 153;
     anndif3a = jundif3a;
     cpi_u = 129.9;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/129.9);
     end;
  end;
  else if (171<=daystart<=198) then do; ** Jul 3 - array spot 185 **;
     juldif3a = daystart - 185;
     anndif3a = juldif3a;
     cpi_u = 130.4;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/130.4);
     end;
  end;
  else if (202<=daystart<=229) then do; ** Aug 3 - array spot 216 **;
     augdif3a = daystart - 216;
     anndif3a = augdif3a;
     cpi_u = 131.6;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/131.6);
     end;
  end;
  else if (230<=daystart<=257) then do;* Aug 31 - array sp 244 - LABOR DAY*;
     sepdif3a = daystart - 244;
     anndif3a = sepdif3a;
     cpi_u = 132.7;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/132.7);
     end;
  end;
  else if (263<=daystart<=290) then do; ** Oct 3 - array spot 277 **;
     octdif3a = daystart - 277;
     anndif3a = octdif3a;
     cpi_u = 133.5;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/133.5);
     end;
  end;
  else if (293<=daystart<=320) then do; ** Nov 2 - array spot 307 **;
     novdif3a = daystart - 307;
     anndif3a = novdif3a;
     cpi_u = 133.8;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/133.8);
     end;
  end;
  else if (324<=daystart<=351) then do; ** Dec 3 - array spot 338 **;
     decdif3a = daystart - 338;
     anndif3a = decdif3a;
     cpi_u = 133.8;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/133.8);
     end;
  end;
  
  ** Days waiting since last check came **;
  ** Variable is year specific - defined here for 1990 **;
  ** and defined for ADJUSTED third of the month **;
  dayswait = .;
  if (febdif3a ne .) then dayswait = 30;
  else if (mardif3a ne .) then dayswait = 28;
  else if (aprdif3a ne .) then dayswait = 32;
  else if (maydif3a ne .) then dayswait = 30;
  else if (jundif3a ne .) then dayswait = 29;
  else if (juldif3a ne .) then dayswait = 32;
  else if (augdif3a ne .) then dayswait = 31;
  else if (sepdif3a ne .) then dayswait = 28; ** Labor Day is 3rd **;
  else if (octdif3a ne .) then dayswait = 33;
  else if (novdif3a ne .) then dayswait = 30;
  else if (decdif3a ne .) then dayswait = 31;
  
  
run;


*** Create perm ***;
data outperm.daily90;
  set family;

  *** Add some values for later ***;
  year=90;
run;

proc means data=outperm.daily90;
  var _NUMERIC_;
  title 'Daily data for 1990';
run;
