*** Creates a permanent dataset of changes in daily expenditures for ***;
*** 1992 families ***;

options ls=76 ps=56 errors=2 obs=max;

%include "cexdirs.in"/source2;


%let yearvar=92;


%include "&dailydir./dailyin.in"/source2;

*** Here is the continuation of the final datastep from dailyin.in ***;

  *** Now figure out how many days until/since ADJUSTED THIRD OF MONTH ***;
  *** Will use how many days that daystart is from the ADJUSTED THIRD ***;
  
  *** HAVE TO MODIFY SLIGHTLY FROM THIRDYY.SAS ***;
  *** SUBTRACT ONE DAY FROM EACH OF THE ENDPOINTS SO RUN FROM -14 to 13 ***;
  *** IN WEEKLY CHANGE DATA, HAD -13 to 14 WHERE NUMBER IS FIRST DAY ***;
  *** OF THE DIARY FOR THE SECOND DIARY WEEK ***; 

  if (3<=daystart<=16) then do; ** Jan 3 - array spot 3 **;
     jandif3a = daystart - 3;
     anndif3a = jandif3a;
     cpi_u = 138.1;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/138.1);
     end;
  end;
  else if (20<=daystart<=47) then do; ** Feb 3 - array spot 34 **;
     febdif3a = daystart - 34;
     anndif3a = febdif3a;
     cpi_u = 138.6;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/138.6);
     end;
  end;
  else if (49<=daystart<=76) then do; ** Mar 3 - array spot 63 **;
     mardif3a = daystart - 63;
     ** IT IS LEAP YEAR SO NO ADJUSTMENT NEEDED!!! **;
     ** Have to adjust for leap year **;
     ** if (49<=daystart<=59) then mardif3a = mardif3a + 1; **;
     cpi_u = 139.3;
     anndif3a = mardif3a;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/139.3);
     end;
  end;
  else if (80<=daystart<=107) then do; ** Apr 3 - array spot 94 **;
     aprdif3a = daystart - 94;
     anndif3a = aprdif3a;
     cpi_u = 139.5;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/139.5);
     end;
  end;
  else if (108<=daystart<=135) then do; ** May 1 - array spot 122 **;
     maydif3a = daystart - 122;
     anndif3a = maydif3a;
     cpi_u = 139.7;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/139.7);
     end;
  end;
  else if (141<=daystart<=168) then do; ** Jun 3 - array spot 155 **;
     jundif3a = daystart - 155;
     anndif3a = jundif3a;
     cpi_u = 140.2;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/140.2);
     end;
  end;
  else if (170<=daystart<=197) then do; ** Jul 2 - array spot 184 **;
     juldif3a = daystart - 184; ** JULY 3 is FOURTH OF JULY HOLIDAY **;
     anndif3a = juldif3a;
     cpi_u = 140.5;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/140.5);
     end;
  end;
  else if (202<=daystart<=229) then do; ** Aug 3 - array spot 216 **;
     augdif3a = daystart - 216;
     anndif3a = augdif3a;
     cpi_u = 140.9;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/140.9);
     end;
  end;
  else if (233<=daystart<=260) then do; ** Sep 3 - array spot 247 **;
     sepdif3a = daystart - 247;
     anndif3a = sepdif3a;
     cpi_u = 141.3;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/141.3);
     end;
  end;
  else if (262<=daystart<=289) then do; ** Oct 2 - array spot 276 **;
     octdif3a = daystart - 276;
     anndif3a = octdif3a;
     cpi_u = 141.8;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/141.8);
     end;
  end;
  else if (294<=daystart<=321) then do; ** Nov 3 - array spot 308 **;
     novdif3a = daystart - 308;
     anndif3a = novdif3a;
     cpi_u = 142.0;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/142.0);
     end;
  end;
  else if (324<=daystart<=351) then do; ** Dec 3 - array spot 338 **;
     decdif3a = daystart - 338;
     anndif3a = decdif3a;
     cpi_u = 141.9;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/141.9);
     end;
  end;
  
  ** Days waiting since last check came **;
  ** Variable is year specific - defined here for 1992 **;
  ** and defined for ADJUSTED third of the month **;
  dayswait = .;
  if (febdif3a ne .) then dayswait = 31;
  else if (mardif3a ne .) then dayswait = 29; ** Leap year **;
  else if (aprdif3a ne .) then dayswait = 31;
  else if (maydif3a ne .) then dayswait = 28;
  else if (jundif3a ne .) then dayswait = 33;
  else if (juldif3a ne .) then dayswait = 29;
  else if (augdif3a ne .) then dayswait = 32;
  else if (sepdif3a ne .) then dayswait = 31;
  else if (octdif3a ne .) then dayswait = 29;
  else if (novdif3a ne .) then dayswait = 32;
  else if (decdif3a ne .) then dayswait = 30;
  
  
run;


*** Create perm ***;
data outperm.daily92;
  set family;

  *** Add some values for later ***;
  year=92;
run;

proc means data=outperm.daily92;
  var _NUMERIC_;
  title 'Daily data for 1992';
run;
