*** Creates a permanent dataset of changes in daily expenditures for ***;
*** 1993 families ***;

options ls=76 ps=56 errors=2 obs=max;

%include "cexdirs.in"/source2;


%let yearvar=93;


%include "&dailydir./dailyin.in"/source2;

*** Here is the continuation of the final datastep from dailyin.in ***;

  *** Now figure out how many days until/since ADJUSTED THIRD OF MONTH ***;
  *** Will use how many days that daystart is from the ADJUSTED THIRD ***;
  
  *** HAVE TO MODIFY SLIGHTLY FROM THIRDYY.SAS ***;
  *** SUBTRACT ONE DAY FROM EACH OF THE ENDPOINTS SO RUN FROM -14 to 13 ***;
  *** IN WEEKLY CHANGE DATA, HAD -13 to 14 WHERE NUMBER IS FIRST DAY ***;
  *** OF THE DIARY FOR THE SECOND DIARY WEEK ***; 

  if (1<=daystart<=13) then do; ** Dec 31 - array spot 0 (not in array) **;
     jandif3a = daystart - 0;
     anndif3a = jandif3a;
     cpi_u = 142.6;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/142.6);
     end;
  end;
  else if (20<=daystart<=47) then do; ** Feb 3 - array spot 34 **;
     febdif3a = daystart - 34;
     anndif3a = febdif3a;
     cpi_u = 143.1;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/143.1);
     end;
  end;
  else if (48<=daystart<=76) then do; ** Mar 3 - array spot 63 **;
     mardif3a = daystart - 63;
     ** Have to adjust for leap year **;
     if (48<=daystart<=59) then mardif3a = mardif3a + 1;
     anndif3a = mardif3a;
     cpi_u = 143.6;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/143.6);
     end;
  end;
  else if (79<=daystart<=106) then do; ** Apr 2 - array spot 93 **;
     aprdif3a = daystart - 93;
     anndif3a = aprdif3a;
     cpi_u = 144.0;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/144.0);
     end;
  end;
  else if (110<=daystart<=137) then do; ** May 3 - array spot 124 **;
     maydif3a = daystart - 124;
     anndif3a = maydif3a;
     cpi_u = 144.2;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/144.2);
     end;
  end;
  else if (141<=daystart<=168) then do; ** Jun 3 - array spot 155 **;
     jundif3a = daystart - 155;
     anndif3a = jundif3a;
     cpi_u = 144.4;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/144.4);
     end;
  end;
  else if (170<=daystart<=197) then do; ** Jul 2 - array spot 184 **;
     juldif3a = daystart - 184;
     anndif3a = juldif3a;
     cpi_u = 144.4;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/144.4);
     end;
  end;
  else if (202<=daystart<=229) then do; ** Aug 3 - array spot 216 **;
     augdif3a = daystart - 216;
     anndif3a = augdif3a;
     cpi_u = 144.8;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/144.8);
     end;
  end;
  else if (233<=daystart<=260) then do; ** Sep 3 - array spot 247 **;
     sepdif3a = daystart - 247;
     anndif3a = sepdif3a;
     cpi_u = 145.1;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/145.1);
     end;
  end;
  else if (261<=daystart<=288) then do; ** Oct 1 - array spot 275 **;
     octdif3a = daystart - 275;
     anndif3a = octdif3a;
     cpi_u = 145.7;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/145.7);
     end;
  end;
  else if (294<=daystart<=321) then do; ** Nov 3 - array spot 308 **;
     novdif3a = daystart - 308;
     anndif3a = novdif3a;
     cpi_u = 145.8;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/145.8);
     end;
  end;
  else if (324<=daystart<=351) then do; ** Dec 3 - array spot 338 **;
     decdif3a = daystart - 338;
     anndif3a = decdif3a;
     cpi_u = 145.8;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/145.8);
     end;
  end;
  
  ** Days waiting since last check came **;
  ** Variable is year specific - defined here for 1993 **;
  ** and defined for ADJUSTED third of the month **;
  dayswait = .;
  if (febdif3a ne .) then dayswait = 34;
  else if (mardif3a ne .) then dayswait = 28;
  else if (aprdif3a ne .) then dayswait = 30;
  else if (maydif3a ne .) then dayswait = 31;
  else if (jundif3a ne .) then dayswait = 31;
  else if (juldif3a ne .) then dayswait = 29;
  else if (augdif3a ne .) then dayswait = 32;
  else if (sepdif3a ne .) then dayswait = 31;
  else if (octdif3a ne .) then dayswait = 28;
  else if (novdif3a ne .) then dayswait = 33;
  else if (decdif3a ne .) then dayswait = 30;
  
run;


*** Create perm ***;
data outperm.daily93;
  set family;

  *** Add some values for later ***;
  year=93;
run;

proc means data=outperm.daily93;
  var _NUMERIC_;
  title 'Daily data for 1993';
run;
