*** Creates a permanent dataset of changes in daily expenditures for ***;
*** 1994 families ***;

options ls=76 ps=56 errors=2 obs=max;

*** Econ directories ***;
%include "cexdirs.in"/source2;


%let yearvar=94;


%include "&dailydir./dailyin3.in"/source2;

*** Here is the continuation of the final datastep from dailyin3.in ***;

  *** Now figure out how many days until/since ADJUSTED THIRD OF MONTH ***;
  *** Will use how many days that daystart is from the ADJUSTED THIRD ***;
  
  *** HAVE TO MODIFY SLIGHTLY FROM THIRDYY.SAS ***;
  *** SUBTRACT ONE DAY FROM EACH OF THE ENDPOINTS SO RUN FROM -14 to 13 ***;
  *** IN WEEKLY CHANGE DATA, HAD -13 to 14 WHERE NUMBER IS FIRST DAY ***;
  *** OF THE DIARY FOR THE SECOND DIARY WEEK ***; 

  if (3<=daystart<=16) then do; ** Jan 3 - array spot 3 **;
     jandif3a = daystart - 3;
     anndif3a = jandif3a;
     cpi_u = 146.2;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/146.2);
     end;
  end;
  else if (20<=daystart<=47) then do; ** Feb 3 - array spot 34 **;
     febdif3a = daystart - 34;
     anndif3a = febdif3a;
     cpi_u = 146.7;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/146.7);
     end;
  end;
  else if (48<=daystart<=76) then do; ** Mar 3 - array spot 63 **;
     mardif3a = daystart - 63;
     ** Have to adjust for leap year **;
     if (48<=daystart<=59) then mardif3a = mardif3a + 1;
     anndif3a = mardif3a;
     cpi_u = 147.2;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/147.2);
     end;
  end;
  else if (78<=daystart<=105) then do; ** Apr 1 - array spot 92 **;
     aprdif3a = daystart - 92;
     anndif3a = aprdif3a;
     cpi_u = 147.4;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/147.4);
     end;
  end;
  else if (110<=daystart<=137) then do; ** May 3 - array spot 124 **;
     maydif3a = daystart - 124;
     anndif3a = maydif3a;
     cpi_u = 147.5;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/147.5);
     end;
  end;
  else if (141<=daystart<=168) then do; ** Jun 3 - array spot 155 **;
     jundif3a = daystart - 155;
     anndif3a = jundif3a;
     cpi_u = 148.0;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/148.0);
     end;
  end;
  else if (169<=daystart<=196) then do; ** Jul 1 - array spot 183 **;
     juldif3a = daystart - 183;
     anndif3a = juldif3a;
     cpi_u = 148.4;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/148.4);
     end;
  end;
  else if (202<=daystart<=229) then do; ** Aug 3 - array spot 216 **;
     augdif3a = daystart - 216;
     anndif3a = augdif3a;
     cpi_u = 149.0;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/149.0);
     end;
  end;
  else if (232<=daystart<=259) then do; ** Sep 2 - array spot 246 **;
     sepdif3a = daystart - 246;
     anndif3a = sepdif3a;
     cpi_u = 149.4;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/149.4);
     end;
  end;
  else if (263<=daystart<=290) then do; ** Oct 3 - array spot 277 **;
     octdif3a = daystart - 277;
     anndif3a = octdif3a;
     cpi_u = 149.5;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/149.5);
     end;
  end;
  else if (294<=daystart<=321) then do; ** Nov 3 - array spot 308 **;
     novdif3a = daystart - 308;
     anndif3a = novdif3a;
     cpi_u = 149.7;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/149.7);
     end;
  end;
  else if (323<=daystart<=350) then do; ** Dec 2 - array spot 337 **;
     decdif3a = daystart - 337;
     anndif3a = decdif3a;
     cpi_u = 149.7;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/149.7);
     end;
  end;
  
  ** Days waiting since last check came **;
  ** Variable is year specific - defined here for 1994 **;
  ** and defined for ADJUSTED third of the month **;
  dayswait = .;
  if (febdif3a ne .) then dayswait = 31;
  else if (mardif3a ne .) then dayswait = 28;
  else if (aprdif3a ne .) then dayswait = 29;
  else if (maydif3a ne .) then dayswait = 32;
  else if (jundif3a ne .) then dayswait = 31;
  else if (juldif3a ne .) then dayswait = 28;
  else if (augdif3a ne .) then dayswait = 33;
  else if (sepdif3a ne .) then dayswait = 30;
  else if (octdif3a ne .) then dayswait = 31;
  else if (novdif3a ne .) then dayswait = 31;
  else if (decdif3a ne .) then dayswait = 29;
  
  
run;


*** Create perm ***;
data outperm.daily94;
  set family;

  *** Add some values for later ***;
  year=94;
run;

proc means data=outperm.daily94;
  var _NUMERIC_;
  title 'Daily data for 1994';
run;
