*** Creates a permanent dataset of changes in daily expenditures for ***;
*** 1996 families ***;

options ls=76 ps=56 errors=2 obs=max;

%include "cexdirs.in"/source2;


%let yearvar=96;


%include "&dailydir./dailyin3.in"/source2;

*** Here is the continuation of the final datastep from dailyin3.in ***;

  *** Now figure out how many days until/since ADJUSTED THIRD OF MONTH ***;
  *** Will use how many days that daystart is from the ADJUSTED THIRD ***;
  
  *** HAVE TO MODIFY SLIGHTLY FROM THIRDYY.SAS ***;
  *** SUBTRACT ONE DAY FROM EACH OF THE ENDPOINTS SO RUN FROM -14 to 13 ***;
  *** IN WEEKLY CHANGE DATA, HAD -13 to 14 WHERE NUMBER IS FIRST DAY ***;
  *** OF THE DIARY FOR THE SECOND DIARY WEEK ***; 

  if (3<=daystart<=16) then do; ** Jan 3 - array spot 3 **;
     jandif3a = daystart - 3;
     anndif3a = jandif3a;
     cpi_u = 154.4;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/154.4);
     end;
  end;
  else if (19<=daystart<=46) then do; ** Feb 2 - array spot 33 **;
     febdif3a = daystart - 33;
     anndif3a = febdif3a;
     cpi_u = 154.9;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/154.9);
     end;
  end;
  else if (47<=daystart<=74) then do; ** Mar 1 - array spot 61 **;
     mardif3a = daystart - 61;
     ** IT IS LEAP YEAR SO NO ADJUSTMENT NEEDED!!! **;
     ** Have to adjust for leap year **;
     ** if (47<=daystart<=59) then mardif3a = mardif3a + 1; **;
     anndif3a = mardif3a;
     cpi_u = 155.7;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/155.7);
     end;
  end;
  else if (80<=daystart<=107) then do; ** Apr 3 - array spot 94 **;
     aprdif3a = daystart - 94;
     anndif3a = aprdif3a;
     cpi_u = 156.3;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/156.3);
     end;
  end;
  else if (110<=daystart<=137) then do; ** May 3 - array spot 124 **;
     maydif3a = daystart - 124;
     anndif3a = maydif3a;
     cpi_u = 156.6;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/156.6);
     end;
  end;
  else if (141<=daystart<=168) then do; ** Jun 3 - array spot 155 **;
     jundif3a = daystart - 155;
     anndif3a = jundif3a;
     cpi_u = 156.7;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/156.7);
     end;
  end;
  else if (171<=daystart<=198) then do; ** Jul 3 - array spot 185 **;
     juldif3a = daystart - 185;
     anndif3a = juldif3a;
     cpi_u = 157.0;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/157.0);
     end;
  end;
  else if (201<=daystart<=228) then do; ** Aug 2 - array spot 215 **;
     augdif3a = daystart - 215;
     anndif3a = augdif3a;
     cpi_u = 157.3;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/157.3);
     end;
  end;
  else if (233<=daystart<=260) then do; ** Sep 3 - array spot 247 **;
     sepdif3a = daystart - 247;
     anndif3a = sepdif3a;
     cpi_u = 157.8;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/157.8);
     end;
  end;
  else if (263<=daystart<=290) then do; ** Oct 3 - array spot 277 **;
     octdif3a = daystart - 277;
     anndif3a = octdif3a;
     cpi_u = 158.3;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/158.3);
     end;
  end;
  else if (292<=daystart<=319) then do; ** Nov 1 - array spot 306 **;
     novdif3a = daystart - 306;
     anndif3a = novdif3a;
     cpi_u = 158.6;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/158.6);
     end;
  end;
  else if (324<=daystart<=351) then do; ** Dec 3 - array spot 338 **;
     decdif3a = daystart - 338;
     anndif3a = decdif3a;
     cpi_u = 158.6;
     do i=1 to dim(difvars); ** Deflate variables to December 1995 **;
       difvars(i)=difvars(i)*(153.5/158.6);
     end;
  end;
  
  ** Days waiting since last check came **;
  ** Variable is year specific - defined here for 1996 **;
  ** and defined for ADJUSTED third of the month **;
  dayswait = .;
  if (febdif3a ne .) then dayswait = 30;
  else if (mardif3a ne .) then dayswait = 28;
  else if (aprdif3a ne .) then dayswait = 33;
  else if (maydif3a ne .) then dayswait = 30;
  else if (jundif3a ne .) then dayswait = 31;
  else if (juldif3a ne .) then dayswait = 30;
  else if (augdif3a ne .) then dayswait = 30;
  else if (sepdif3a ne .) then dayswait = 32;
  else if (octdif3a ne .) then dayswait = 30;
  else if (novdif3a ne .) then dayswait = 29;
  else if (decdif3a ne .) then dayswait = 32;
  
  
run;


*** Create perm ***;
data outperm.daily96;
  set family;

  *** Add some values for later ***;
  year=96;
run;

proc means data=outperm.daily96;
  var _NUMERIC_;
  title 'Daily data for 1996';
run;
